OGRE-Next: Ogre::VulkanProgramFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VulkanProgramFactory Class Referencefinal

Factory class for Vulkan programs. More...

`#include <OgreVulkanProgramFactory.h>`

Inheritance diagram for Ogre::VulkanProgramFactory:
[legend]

## Public Member Functions
| VulkanProgramFactory (VulkanDevice *device, const char *languageName, bool glslLangInitializer)
| ~VulkanProgramFactory () override
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader) override
| Create an instance of VulkanProgram.
void | destroy (HighLevelGpuProgram *prog) override
const String & | getLanguage () const override
| Get the name of the language this factory creates programs for.
Public Member Functions inherited from Ogre::HighLevelGpuProgramFactory
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()

## Detailed Description

Factory class for Vulkan programs.

## Constructor & Destructor Documentation

## ◆ VulkanProgramFactory()

Ogre::VulkanProgramFactory::VulkanProgramFactory | ( | VulkanDevice * | device,
|  | const char * | languageName,
|  | bool | glslLangInitializer )

## ◆ ~VulkanProgramFactory()

Ogre::VulkanProgramFactory::~VulkanProgramFactory | ( |  | ) |
| override

## Member Function Documentation

## ◆ create()

HighLevelGpuProgram * Ogre::VulkanProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )
| overridevirtual

Create an instance of VulkanProgram.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::VulkanProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| overridevirtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ getLanguage()

const String & Ogre::VulkanProgramFactory::getLanguage | ( |  | ) | const
| overridevirtual

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreVulkanProgramFactory.h